//
//  ForecastView.swift
//  UIWeather
//
//  Created by Joe Gregg on 8/10/22.
//

import SwiftUI

struct ForecastView : View {
    var fd : ForecastDay
    var date : Date
    var body : some View {
        HStack {
            VStack(alignment: .leading) {
                Text(date,style:.date)
                Text("High \(Int(fd.temp.max!)) Low \(Int(fd.temp.min!))")
            }
            Image(systemName: iconName(fd.weather[0].icon)).font(.system(size:32)).padding()
        }
    }
    
    func iconName(_ icon : String) -> String {
        switch icon {
        case "01d":
            return "sun.max"
        case "02d":
            return "cloud.sun"
        case "03d":
            return "cloud"
        case "04d":
            return "cloud.fill"
        case "09d":
            return "cloud.rain"
        case "10d":
            return "cloud.sun.rain"
        case "11d":
            return "cloud.bolt"
        case "13d":
            return "cloud.snow"
        case "50d":
            return "cloud.fog"
        default:
            return "sun.max"
        }
    }
}
