//
//  WeatherSettings.swift
//  UIWeather
//
//  Created by Joe Gregg on 8/10/22.
//

import SwiftUI

struct WeatherSettings : View {
    @EnvironmentObject private var lc : LocationInfo
    @State var zip : String = ""
    
    var body: some View {
        VStack(alignment: .leading) {
            HStack {
                Text("ZIP Code")
                TextField("",text:$zip).keyboardType(.numberPad).textFieldStyle(.roundedBorder)
            }
            Button("Search"){
                Task {
                    let zipPattern = #"^\d{5}$"#
                    let result = zip.range(
                        of: zipPattern,
                        options: .regularExpression
                    )
                    if result != nil {
                        await lc.searchLocation(code: zip)
                    }
                }
            }.buttonStyle(.bordered).padding()
            Text("Latitude: \(lc.location.latitude)")
            Text("Longitude: \(lc.location.longitude)")
            Text("Name: \(lc.location.name)")
        }
    }
}
